Figure - 0 O Dev #110658
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev# 110125 (New): 0 MKO OBSPO 0 0 0 O
0 O Dev#110657 (O O O InProgress): 0 MKO 00040 0 TPO 0 0 O
0 MKO 00040 O TPO O TC-RID: 1201-01004010 O O O TPO O
2022-07-2513:01 - CD TPM-0 0 O

Status: O O Resolved Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDBSP-U O % Done: 0%
Category: BSP Estimated time: 0.00 hour
Target version:

Description

oooood

m0000:

https://thundersoft.feishu.cn/sheets/shtcngaFykINSnMcKWLulClI3xnc L37

bringup TP

m JOURLODODO
m [ 0Ocased 00O
00000000 OOOOOOO

History

#1 - 2022-08-02 14:19- SZ TPM-0 O O
- Assignee changed from SZ TPM-0O O 0O to SZBSP-0 00 O

#2 - 2022-08-02 17:56 - SZ BSP-UJ 0 [

- Status changed from New to [0 O O In Progress

#3-2022-08-02 18:29 - SZBSP-0 0O O

i2cdetect 000000000000 MAX7350 0000000000

#4 - 2022-08-03 18:49 - SZ BSP-0 O O

i2cdump0 0000000 0OOprobed 00

#5 - 2022-08-04 21:28 - CD TPM-0 O O

- Subject changed from 0 MKO 0 0040 O TPO O TC-RID: 0301-01004010 O O O TPO O to O MKO 0O 0040 O TPO O TC-RID: 1201-01004010 OO0 O O TPO O

#6 - 2022-08-05 18:50 - SZ BSP-U 00 [

0000000 pindO0RESETOOODOOOOOOOOODODOO MAX7550000000

#7 - 2022-09-0509:51 - SZBSP-0 O O

- Assignee changed from SZ BSP-(J 0 [0 to CDBSP-00 O [0

#8 - 2022-09-08 22:59 - CDBSP-0 0 O
- Assignee changed from CD BSP-00 O O to CD BSP-00 O
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc

#9 - 2022-09-2112:31 - CD BSP-0 O

- Status changed from O O O In Progress to [0 [0 Resolved

veiToucHOOUOOOOOoOoooooooooooooooooooooooooooooooo

#10 - 2022-12-22 20:22 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

141918

general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jiyuan.xu@thundercomm.com

BSP: TP: CYAT817 bringup (1/2)Porting driver of Cypress TrueTouch Gen7 CYAT817TC-RID: 1201-0100401lssuel D: TS-R-DF-110658Change-I1d:
lad0c415¢c72¢323a7a25457e65487fe050968d322

#11 - 2022-12-22 20:22 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

141920

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jiyuan.xu@thundercomm.com

BSP: TP: CYAT817 bringup (2/2)Porting driver of Cypress TrueTouch Gen7 CYAT817TC-RID: 1201-0100401lssuel D: TS-R-DF-110658Change-1d:
1b9d508a19daf6834c7f1779c22c144e7e4c218bd

#12 - 2022-12-22 20:23- CDFwW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

142236

general/device/gcom/common

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jiyuan.xu@thundercomm.com

BSP: Platform: Temporarily comment the traceThe trace is enabled, and cause CPU to be slow on interrupts.Normally the trace should not be enabled, we
currently don't knowwhy it is enabled, so we temporarily comment the ralted codes. TC-RID: 1201-0100401Issuel D: TS-R-DF-110658Change-1d:
1f381702¢1263618e4927edebc62a3aaff38c53e8

#13 - 2022-12-22 20:23 - CD FwW-0O O

Gerrit Merge Information(]

ID

Project

Branch

Uploader

142684

2025-07-04

general/quic/la/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

jiyuan.xu@thundercomm.com
r-dev

BSP: TP: Close Debug message for CYAT8171. Remove DEBUG and VDEBUG configTC-RID: 1201-01004011ssuelD: TS-R-DF-110658Change-1d:
1a63894391fa645dc7bb46c4bafal320fcflc1b0b

#14 - 2022-12-22 20:27 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

145638

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiaodong.li@thundersoft.com

BSP: TP: CYAT817 bringupComplete single click wakeup screen developmentTC-RID: 1201-0100401IssuelD: TS-R-DF-110658Change-Id:
17be2ea37636177d0dbdd4e540ad07f6fd61648f3

#15 - 2022-12-22 20:33 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

150011

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Bringup FSE Atmel touchscreenAdd Atmel mxt driver for touch screen.TC-RID: 1201-0100401Issuel D: TS-R-DF-110658Change-1d:
14ee969b2cel1f5fa9da7500021439643fa89alc10

#16 - 2022-12-22 20:34 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

150244

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: MCE touchscreen adapts to boardidMCE touchscreen adapts to boardidTC-RID: 1201-01004011ssuel D: TS-R-DF-110658Change-1d:
18bf878fdac5779316542506e900328deb69d599

#17 - 2022-12-22 20:34 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

150255

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

2025-07-04

3/4




BSP:TP: Bringup FSE Atmel touchscreenBringup FSE VC1 Atmel touchscreenTC-RID: 1201-0100401IssuelD: TS-R-DF-110658Change-Id:
lababc0949c8d4c2f29f5eb54c743ba015a3cde3e
